> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/food-log/users-foods-and-recipes/create-my-branded-food.md).

# Create my Branded Food

Use the `createMyBrandedFoods` mutation to log an own-brand food intake.&#x20;

### Available Arguments

| Name                       | Type                                                                        | Required? | Description                                                                                                                                                     |
| -------------------------- | --------------------------------------------------------------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `name`                     | String                                                                      | Yes       | Name of the food                                                                                                                                                |
| `description`              | String                                                                      | No        | Description of the food                                                                                                                                         |
| `brandOwner`               | String                                                                      | Yes       | Name of the brand owner                                                                                                                                         |
| `servingSizeUnit`          | String                                                                      | Yes       | Quantity of grams per serving size unit                                                                                                                         |
| `servingSize`              | String                                                                      | Yes       | Quantity of grams per serving                                                                                                                                   |
| `gtin_upc`                 | String                                                                      | Yes       | [GTIN ](https://docs.suggestic.com/graphql/glossary#gtin)or [UPC ](https://docs.suggestic.com/graphql/glossary#upc)number that is included in the food package. |
| `householdServingFulltext` | String                                                                      | No        | Name of the serving                                                                                                                                             |
| `nutrients`                | [Nutrients](https://docs.suggestic.com/graphql/objects/food-logs/nutrients) | Yes       | Object that contains the nutrient information of the food.                                                                                                      |

### Available Fields

The following field will be part of the response.

| Field name | Type   | Description                                                                     |
| ---------- | ------ | ------------------------------------------------------------------------------- |
| `sucess`   | String | **True** if the branded food has been created. Otherwise, it displays **False** |
| `message`  | String | Description of the result                                                       |

### Example

{% tabs %}
{% tab title="Mutation" %}

```graphql
mutation createMyBrandedFoods {
  createMyBrandedFoods(
    input: {
      brandOwner: "Pil"
      servingSizeUnit: "ml"
      servingSize: 240
      gtinUpc: "688267008689"
      householdServingFulltext: "1 cup"
      name: "Milk"
      nutrients: [
        { amount: 150, unit: "MG", nutrient: POTASSIUM_K }
        { amount: 120, unit: "MG", nutrient: CALCIUM_CA }
      ]
    }
  ) {
    success
    message
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "createMyBrandedFoods": {
      "success": true,
      "message": "Branded food saved"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/food-log/users-foods-and-recipes/create-my-branded-food.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
